Name:           perl-EV
Version:        4.33
Release:    1%{?dist}
Summary:        Wrapper for the libev high-performance event loop library

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/EV
Source0:        https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/EV-%{version}.tar.gz
Patch0:         perl-EV-4.03-Don-t-ask-questions-at-build-time.patch
Patch1:         perl-EV-4.30-Don-t-check-bundled-libev.patch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(common::sense)
BuildRequires:  gdbm-devel
BuildRequires:  libev-source >= 4.33
BuildRequires:  perl(AnyEvent) => 2.6
BuildRequires:  perl(Canary::Stability)


%{?perl_default_filter}


%description
This module provides an interface to libev
(<http://software.schmorp.de/pkg/libev.html>). While the included documentation
is comprehensive, one might also consult the documentation of libev itself
(<http://cvs.schmorp.de/libev/ev.html>) for more subtle details on watcher
semantics or some discussion on the available backends, or how to force a
specific backend with "LIBEV_FLAGS", or just about in any case because it has
much more detailed information.


%prep
%setup -q -n EV-%{version}

%patch0 -p1
%patch1 -p0

rm -fr ./libev

mkdir -p ./libev
cp -r /usr/share/libev-source/* ./libev/


%build
PERL_CANARY_STABILITY_NOPROMPT=1 /usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} %{buildroot}/*


%check
%{make_build} test


%files
%doc Changes COPYING README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/EV.pm
%{perl_vendorarch}/EV
%{_mandir}/man3/*.3*


%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.33-1
- initial build
